%define name	gnomeradio
%define version	1.4
%define release	3mdk

Summary:	A FM-Tuner program for Gnome.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}_16.png
Source2:	%{name}_32.png
Source3:	%{name}_48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://mfcn.ilo.de/gnomeradio/
BuildRequires:	pkgconfig
BuildRequires:	libgnomeui2-devel
BuildRequires:	scrollkeeper
BuildRequires:	liblirc-devel

%description
Gnomeradio is a FM radio tuner for the GNOME desktop.
It should work with every FM tuner card that is supported
by video4linux. Remote controls are supported via (optional)
lirc-support. Gnomeradio can also record radio as a Wave,
MP3 or Ogg files.


%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL


(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/%{name}"\
icon="%{name}.png"\
title="Gnomeradio"\
longtitle="A FM-Tuner program for Gnome."\
needs="x11"\
section="Multimedia/Sound"
EOF
)

install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -d %buildroot/%_iconsdir

install -m644 %{SOURCE1} %buildroot/%_miconsdir/%{name}.png
install -m644 %{SOURCE2} %buildroot/%_iconsdir/%{name}.png
install -m644 %{SOURCE3} %buildroot/%_liconsdir/%{name}.png

# Are these needed?
rm -rf %buildroot/var/lib/scrollkeeper/*

%{find_lang} %{name}

%post
%update_menus

if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update ||true ; fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnomeradio.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done


%postun
%clean_menus

if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update ||true ; fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/gnomeradio.schemas
%{_datadir}/pixmaps/radio.png
%{_datadir}/pixmaps/gnomeradio.png
%{_datadir}/applications/gnomeradio.desktop
%dir %{_datadir}/omf/gnomeradio
%{_datadir}/omf/gnomeradio/gnomeradio-C.omf
%dir %{_datadir}/gnome/help/gnomeradio
%{_datadir}/gnome/help/gnomeradio/C/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Fri Jul 11 2003 Marcel Pol <mpol@gmx.net> 1.4-3mdk
- own dirs

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 1.4-2mdk
- buildrequires

* Fri Apr 11 2003 Marcel Pol <mpol@gmx.net> 1.4-1mdk
- initial mandrake package
